glibmm 2.66.10

Classes | Enumerations | Functions
Glib::Threads Namespace Reference

## Classes
class | ThreadError
| Exception class for thread-related errors. More...
class | Thread
| Represents a running thread. More...
class | Mutex
| Represents a mutex (mutual exclusion). More...
class | RecMutex
| This represents a recursive mutex. More...
class | RWLock
| This represents a reader-writer lock. More...
class | Cond
| An opaque data structure to represent a condition. More...
class | Private
| Thread-local data pointer. More...

## Enumerations
enum | NotLock { NOT_LOCK }
enum | TryLock { TRY_LOCK }

## Functions
Thread * | wrap (GThread * gobject)
| A C++ wrapper for the C object.
Mutex * | wrap (GMutex * gobject)
| A C++ wrapper for the C object.
RecMutex * | wrap (GRecMutex * gobject)
| A C++ wrapper for the C object.

## Detailed Description

Deprecated
  The entire Glib::Threads API is deprecated in favor of the standard C++ concurrency API in C++11 and C++14.